=== debian/changelog ===
fai (2.10.1ubuntu1) dapper; urgency=low

  * Merging ubuntu changes
  * make-fai-nfs-root: patch $NFSROOT/etc/init.d/udev to call
    start-stop-daemon.distrib instead of start-stop-daemon, because the latter
    is disabled in the nfsroot
  * DEMO config: install suitable kernels

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 May 2006 11:20:18 +0200

fai (2.10.1) unstable; urgency=low

  * fai-chboot: fix division by zero error
  * fai.conf: remove $OS_TYPE
  * fai: remove $OS_TPYPE, set $targetdir, eval_cmdline is not needed for
    install and dirinst, move prcopyleft() and additional code into
    external script, use /var/log/fai/current as default LOGDIR,
    /tmp/fai is currently a mount --bind to it
  * fai-do-scripts: replace --no-lock with -K, this should fix cfengine's
    segfault bug
  * install_packages: add commands for y2pmsh, yast and rpm
  * mount2dir: add more fs types that should be skipped
  * fai-mirror: use different source.list when downloading packages for
    debootstrap (closes: #361786), remove comments from PACKAGES line
    (closes: #358910), add option -C, (closes: #318299), recreates
    Package.gz and Release file using apt-ftparchive  
  * fai-cd: add option -C (closes: #312198), print FAI version in grub
    menu, not fai-cd version
  * make-fai-nfsroot: print warning if -f is still used, add config for
    aptitude to allow unsigned packages without prompting
  * menu.lst: enable timeout, use localboot as default, remove syslogd
    flag, remove unused entries, fix IP address for demohost
  * subroutines: new path /var/log/fai/current/showvar.log
  * fai-guide.sgml: include package splitting into fai guide
  * make-fai-nfsroot.conf: new names packages in fai-kernel, add
    console-tools to nfsroot (closes: #363480)
  * get-boot-info: do not try to activate the first four ethernet devices
  * conf/apt.conf: add aptitude option so untrusted repositories will also be used
  * instsoft.FAIBASE: use fcopy for kernel-img.conf
  * subroutines-linux: use IP address when calling fai-chboot in
    task_chboot, this helps when the install client has two network cards
    and the host name lookup fails
  * mkrw: fix typo (closes: #363521)
  * dhcpd.conf: make deny unknown-clients default, remove range definition
  * S99fai-setup: enable networking for faiserver
  
 -- Thomas Lange <lange@debian.org>  Thu, 20 Apr 2006 11:46:12 +0200

fai (2.10) unstable; urgency=low

  * setup_harddisks: mapdisk(): add support for more than two disks, fix
    wrong comments (closes: #356265), allow logical partitions to be
    bootable (closes: #344536)
  * make-fai-nfsroot: do not copy files from /etc/apt to the nfsroot,
    detect kernel version for new kernel name (closes: 352939),
    remove patches-* file when using -K (closes: #348350), remove
    update-modules call, remove symlink creation to /tmp, add warning if
    $FAI_LOCAL_REPOSITORY is still used
  * fai-chboot: change output of -l and -L, major rework of the lsdir
    function, add more options for different listing formats, add template
    copy function (closes: #342471, #356136), options added: -g -c -t -o  
  * 20-hwdetect.source: test if discover is installed
  * make-fai-bootfloppy: remove obsolete message (closes: #347974)
  * fcopy: remove newline from $source, add \Q, (closes: #350015), warning
    if unlink fails, add option -n (closes: #356378), preserving is not an
    error (closes: #360183)
  * make example scripts more cfengine2 compatible (closes: #312201)
  * hooks/instsoft.FAIBASE: do not pause when kernel modules are already
    available (closes: #314613)
  * install_packages: new feature, just unpack packages (closes: #277079),
    add urpmi, urpme and yum support
  * fai: exit script if no parameters are given and no run from nfsroot
  * subroutines: add verbose output when defining variables, add
    subroutines mkrw and mkrwsize, set $diskvar during softupdate to
    /var/log/fai/disk_var.sh, task_savelog: test if files exist before
    copying them
  * remove FAIBASE/20-save_diskvar (closes: #312296)
  * task_sysinfo: call lshw if available
  * lib/get-boot-info: remove duplicate network device names
  * make-fai-nfsroot.conf: use SERVERINTERFACE for detecting subnet
    (closes: #341577)
  * create_ramdisk: use mkrw for making directories writeable
  * fai-mirror: add warning if some files do not exist

 -- Thomas Lange <lange@debian.org>  Mon,  3 Apr 2006 15:11:30 +0200

fai (2.9.1ubuntu1) dapper; urgency=low

  * do a really nasty hack to work around Malone #34366
  * adjusted config files to point to ubuntu locations
  * fix make-fai-nfsroot to detect kernel revision properly 
    (Closes: Malone #43989)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 May 2006 20:24:30 +0200

fai (2.9.1) unstable; urgency=low

  * install_packages: add aptitude-r to @commands (closes: #343361)
  * new command fai-statoverride (like dpkg-statoverride)
  * fai-chboot: use NFS v2 as default until FAI will drop sarge support
  * fai.8: fix typo (closes: #343642)
  * doc/classes_description.txt: remove all unused classes, update
    description (closes: #322026)
  * add script AMD64/99-discover-bug
  * add class FAISERVER
  * updatebase: mount /sys into chroot
  * mkdebmirror: remove non-US stuff
  * savelog.LAST: add segfault to error pattern
  * make-fai-bootfloppy.8: fix typo (closes: #346428)
  * make-fai-nfsroot: do not try to copy file if resolv.conf does not
    exist
  * menu.lst: add entry for faiserver
  * fai-cd: adjust space, new code for generating sources.list file
  * fai-debconf: add test if debconf data file exists (closes: #348857)

 -- Thomas Lange <lange@debian.org>  Sun,  5 Mar 2006 22:37:31 +0100

fai (2.9) unstable; urgency=low

  * splitting binary package fai into fai-server, fai-client, fai-doc and
    fai-nfsroot (closes: #210507)
  * adjust some paths
  * remove beowulf and advanced examples
  * increase compat level to 4
  * delete sunos code from source

