=== debian/changelog ===
fai (3.1ubuntu1) edgy; urgency=low

  * merge FAI 3.1 changes. All necessary ubuntu hacks have been 
    incorporated by upstream (thanks Thomas).
  * changes to default configuration to make a usable ubuntu installation
    - point to archive.ubuntu.com instead of ftp.debian.org
    - use sysvinit instead of upstart, because its default bootlog behavior
  * make fai-mount-disk use /bin/bash instead of /bin/sh

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Oct 2006 10:30:18 +0200

fai (3.1) unstable; urgency=low

  * Makefile: force bash in Makefile, fixes FTBFS in ubuntu
  * rename action dirinst to dirinstall (closes: #390345)
  * fai-cd: fix wrong path for sources.list (closes: #391639)
  * scripts/FAIBASE/10-misc: use ainsl instead of echo >> ...
  * lib/create_ramdisk: make /var/discover writeable
  * make-fai-nfsroot: create directory var/discover
  * subroutines: move find's maxdepth option to the left, prevent multiple
    fai softupdate running simultaneously (closes: #390680)
  * get-config-dir*: replace \s and \S in expr with regex using [:space:],
    so it also works for sarge's version of expr
  * subroutines-liux: add test if base.tgz exists (closes: #390343),
    sources.list must be used from /etc/apt during normal installation
  * fai: add option -u,--hostname (closes: #390367)
  * LAST/5-misc: do not fail if hardware clock can't be set
  * fcopy: swap call of postinst and set_mode
  * install_packages: add missing package list to yum and rpm calls
    (closes: #392032)
  
 -- Thomas Lange <lange@debian.org>  Tue, 10 Oct 2006 01:29:35 +0200

fai (3.0) unstable; urgency=low

  * conf/make-fai-nfsroot.conf,sources.list: move from sarge to etch
  * fai: export FAI_ACTION, fix -c and -C in usage()
  * subroutines-linux: fix path of resolv.conf
  * fai-chboot: remove devfs=nomount, use NFS v3
  * package_config/DEFAULT: replace kernel-image with linux-image
  * faireboot: stop udevd
  * rename class XFREE to XORG, use xorg packages
  * bin/fai: rename $targetdir to $FAI_ROOT
  * add debconf data for german environment (closes: #386192)
  * package_config/GERMAN: new file includes packages for german
    environment
  * new script FAIBASE/20-removable_media creates fstab entries and makes
    directories under /media
  * new script and man page: ainsl, ainsl.1
  * fai-start-stop-daemon: prints which daemon will not be started
  * get-boot-info: fix duplicate call of get_dhcp_info()
  * FAIBASE.var: add FAI_ALLOW_UNSIGNED=1
  * fai-setup: add option no_subtree_check to etc/exports lines
  * get-config-dir-svn: svn support for config space (closes: #314991)
  * fai.8: add info about dirinst, add example
  
 -- Thomas Lange <lange@debian.org>  Wed, 27 Sep 2006 15:44:46 +0200

fai (3~beta21) unstable; urgency=medium

  * make pathes conform to FHS:
    (closes: #340608, #311524, #336650, #309554, #340609)
  * use /srv/tftp/fai    instead of /boot/fai
  * use /srv/tftp/fai/pxelinux.cfg instead of /boot/fai/pxelinux.cfg
  * use /srv/fai/config  instead of /usr/local/share/fai
  * use /srv/fai/nfsroot instead of /usr/lib/fai/nfsroot
  * use /var/lib/fai/config instead of /fai
  * use /var/lib/fai/mirror instead of /mnt
  * create_ramdisk: call mkrw with -n
  * setup_harddisks: use more secure options for /proc line
  * fai-chboot: use tcp as default for nfs, nfs v3 can will become default
    with etch, existent .disable pxe file will be removed automatically,
    add headline when copying from template, change in options: -d is now
    -D, -r is now -d, -r is not used any more, abort if $pxedir does not
    exist (closes: #373596) 
  * subroutines-linux: task_updatebase does not use updatebase.log any
    more (closes: #366823), try ftar $FAI/basefiles before extracting
    base.tgz, create policy-rc.d in the chroot, copy sources.list from
    $FAI_ETC_DIR, replace $FAI_REMOTESH with local variable $remotesh, fix
    path for resolv.conf
  * move /etc/fai/sources.list to /etc/fai/apt/sources.list  
  * fix lintian error: build-depends-indep-should-be-build-depends
    debhelper
  * complies with policy 3.7.2
  * added a linda override for fai-quickstart (ignore /usr/doc-symlink
    warning)
  * added Section: headers to binary packages in control
  * conf/make-fai-nfsroot.conf: remove variables: $nfssize,
    $NFSROOT_PACKAGES, $package
  * new config file /etc/fai/NFSROOT which contains the package list
  * fai.conf: remove FAI_REMOTESH and FAI_REMOTECP, use FAI_LOGPROTO
    instead, LOGSERVER, LOGREMOTEDIR, LOGPASSWD removed installserver
    removed (closes: #332837)
  * lib/subroutines: remove get_fai_cvs(), get_fai_dir(), now separate
    scripts, print warning if CD-ROM does not use DMA mode, eject fai-cd
    at the end of the installation
  * fai: replace $rclog with $LOGIDR/fai.log, add option -C,--cfdir,
    -c,--class (closes: #353535), add support for dirinst, cleanup LOGDIR
    before using it again (closes: #369534), remove variable rundir, mkdir
    /var/run/fai if not existing, trap uses subroutine clean_exit() for
    dirinst  
  * fai-setup: use getent for getting IP address, make it a bash script,
    change $HOME of LOGUSER (closes: #290449), do not use SERVERINTERFACE
    for getting hostname, add all IP addresses and host names to
    ssh_known_hosts (closes: #286692), remove variable FAICLIENTS, use IP
    address and netmask for exportfs line (closes: #381261)
  * make-fai-nfsroot: new subroutine all_host_entries(), use
    install_packages and /etc/fai/NFSROOT for installing packages into the
    nfsroot, install fai-nfsroot before other packages are installed, do
    not exit if getent returns no information, rename -c to -C, use
    readlink to determine $cfdir (closes: #358765)
  * variable $fstab replaced with fstab (no more Solaris support using
    vfstab)
  * savelog.LAST: set reboot=1 if no errors are found
  * fcopy: fix bug (closes: #374415)
  * control: update to Standards-Version: 3.7.2, fai-quickstart depends on
    tftpd-hpa

