=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
Build-Depends: debhelper (>= 4.1.16)


Package: fai-client
Architecture: all
Section: admin
Depends: perl, libapt-pkg-perl, file, cfengine2 | cfengine
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary. This package contains the software needed on the install client. 
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-doc
Architecture: all
Section: doc
Conflicts: fai
Description: Documentation for FAI
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This is the documentation for FAI in various formats.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-server
Architecture: all
Section: admin
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, mkisofs, grub
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary. This package is needed for setting up a FAI install server.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-quickstart
Architecture: all
Section: admin
Depends: fai-server, fai-doc, fai-kernels, dhcp3-server, nfs-kernel-server | nfs-server, syslinux, tftpd-hpa, apt-move, mkisofs
Recommends: mkinitrd-cd
Description: Fully Automatic Installation quickstart package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package setups an install server with some basic
 examples. It should be removed when creating your own config space. 
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-nfsroot
Architecture: all
Section: admin
Depends: fai-client
Description: Fully Automatic Installation nfsroot package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai
