## fai 3.1.3ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -29,13 +29,14 @@
 	nsgmls -wall -E20 -gues $(fdocname)
 
 clean:
-	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex
+	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex $(docname).tex-in $(docname).aux $(docname).toc
+	rm -f body.tmp head.tmp thb*.png *.log
 
 print: dvi
 	dvips -f $(docname) | lpr
 
 install:
-	rm $(docname).tpt $(docname).out || true
+	rm -f $(docname).tpt $(docname).out
 	cp -dRp $(docname)* $(DOCDIR)
 	cp -p $(MISC_DOC) $(DOCDIR)
