=== debian/changelog ===
fai (3.1.3ubuntu1) feisty; urgency=low

  [Reinhard Tartler]
  * Review and clean up Achim's diff
  
  [Achim Bohnet]
  * Merge from debian unstable.
    + all kubuntu changes kept.
    + all but one conflict due to svn $ID$ tags
    + ./VERSION stick with kubuntu kernel
  * conf/make-nfsroot.conf conf/sources.list: replace edgy with feisty

  * simple example config fixes:

    + replace #!/bin/sh with #!/bin/bash in all script. ifclass is a
      function that gets not defined if sh is dash. Also (error|1) got
      trap statements were broken:
           class/10-base-classes hooks/instsoft.FAIBASE scripts/DEMO/10-misc
           scripts/FAIBASE/30-interface scripts/FAIBASE/10-misc
           scripts/LAST/50-misc

    + files/boot/grub/menu.lst/postinst: fix update-grub full path. It's
      in /sbin not /usr/sbin

  * doc/Makefile clean target: add doc/fai-guide.tex-in doc/fai-guide.aux
    doc/fai-guide.toc.  They are left behind when building docs fails
    or is interrupted.

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 20 Dec 2006 23:07:13 +0100

fai (3.1.3) unstable; urgency=medium

  * fai-savelog: fix a security tagged bug, make local copy of LOGDIR only
    readable for root and group adm (closes: #402644)
  * fai: add missing shift command (closes: #402588)
  * fai.8: improve dirinstall info (closes: #402294)
  * package_config/FAIBASE: add packages, this is only a documentation
    change

 -- Thomas Lange <lange@debian.org>  Sun, 17 Dec 2006 17:40:54 +0100

fai (3.1.2) unstable; urgency=high

  * use new fai kernel version 2.6.18
  * control: add Vcs-Svn control field (closes: #399561)
  * conf/NFSROOT: remove package hwtools, which do not exists any more
  * fai-chboot: exit if file cannot be written, tmpfile was not always
    removed
  * make-fai-bootfloppy: remove sit interfaces from list of network
    devices (closes: #400521), print error if it can't write to floppy
    device (closes: #400522)
  * fcopy: tmpfile was not always removed
  * mount2dir: use noatime when mounting local file systems
  * lib/subroutines-linux: change comment
  * fix typo in changelog
  * fai-server.postinst: change message (closes: #400324)

 -- Thomas Lange <lange@debian.org>  Mon, 27 Nov 2006 20:04:51 +0100

fai (3.1.1) unstable; urgency=low

  * control: remove mkinitrd-cd from Recemmends: and Suggests:
  * make-fai-nfsroot: add missing option h to getopt, fix typo, test if
    $cfdir is already set (closes: #394884), no code change, reorder code
    so a normal user gets help whem using -h,--help
  * faireboot: fix file name to variables.log
  * fai-chboot: fix several bugs for listing options, option -p expects an
    argument, fix for -c behaviour (closes: #389905)
  * fai-chboot.8: minor document fixes
  * fai-mirror.1: fix example (closes: #390520)
  * fcopy: remove temporary file after use
  * fai: start udev before creating /dev/shm/network, remove set +a for
    dirinstall, so $fai_rundate will be exported (closes: #390373)
  * subroutines: umount config dir at the end of softupdate action,
    cd back to old directory, convert FAI_ROOT to absolute path if doing
    dirinstall (closes: #390346), die() only calls bash when
    FAI_ACTION=install, add -i to bash call (closes: #362252)
  * subroutines-linux: check exit status of get-config-dir
  * get-config-dir: replace die call with echo and exit statement, add
    error message
  * get-config-dir-cvs: fixed regular expression as 'expr' automatically
    anchors to the beginning
  * LAST/50-misc: /sbin/unconfigured.sh is not used any more
  * ainsl.8: explain ^ and $ treatment in more detail
  * FAIBASE/10-misc: add anchors to ainsl pattern
  * class/20hwdetect.source: change discover call
  * aisnl,fcopy,fai-chboot: print help and exit if unknow option was given
  * lib/task_sysinfo: remove call of kudzu since it's not available any
    more in etch
  
 -- Thomas Lange <lange@debian.org>  Mon,  6 Nov 2006 15:57:01 +0100

fai (3.1) unstable; urgency=medium

  * Makefile: force bash in Makefile, fixes FTBFS in ubuntu
  * rename action dirinst to dirinstall (closes: #390345)
  * fai-cd: fix wrong path for sources.list (closes: #391639)
  * scripts/FAIBASE/10-misc: use ainsl instead of echo >> ...
  * lib/create_ramdisk: make /var/discover writeable
  * make-fai-nfsroot: create directory var/discover, add option -h and
    usage() subroutine
  * subroutines: move find's maxdepth option to the left, prevent multiple
    fai softupdate running simultaneously (closes: #390680), move
    disk_var.sh from FAI 2.X installation old to new location
    rename variable sndhostname to sendhostname
  * get-config-dir*: replace \s and \S in expr with regex using [:space:],
    so it also works for sarge's version of expr
  * subroutines-liux: add test if base.tgz exists (closes: #390343),
    sources.list must be used from /etc/apt during normal installation
  * fai: add option -u,--hostname (closes: #390367), create
    /dev/shm/network if directory not already exists (needed for initrd
    kernels)
  * LAST/50-misc: do not fail if hardware clock can't be set
  * fcopy: swap call of postinst and set_mode
  * install_packages: add missing package list to yum and rpm calls
    (closes: #392032)
  * rename sndmon() to sendmon()
  * fai-start-stop-daemon: start udevd (needed for ubuntu) and do not fake
    it, add carriage return
  * package_config/DEMO: remove rstatd since it buggy atm
  
 -- Thomas Lange <lange@debian.org>  Thu, 19 Oct 2006 14:46:32 +0200
