## fai 3.1.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include VERSION
-SHELL=/bin/bash
 
 SHELL=/bin/bash
 DESTDIR=$(shell pwd)/debian/tmp
