=== debian/changelog ===
fai (3.1.8) unstable; urgency=medium

  * conf/NFSROOT: remove unknow package name (closes: 407950)
  * setup_harddisks: use C locale when calling mkreiserfs (closes: 413504)
  * fai-mirror: add /usr/sbin to $PATH so a normal user can also call
    this command (closes: 413466)
  * simple/package_config/GERMAN: fix wrong package name
  * lib/subroutines: replace >>/dev/stderr with >&2

 -- Thomas Lange <lange@debian.org>  Tue, 13 Mar 2007 23:39:56 +0100

fai (3.1.7) unstable; urgency=medium

  * subroutines: ifclass() should append to stderr (closes: #409059)
  * examples/simple/, lib/fai-mount-disk, lib/mount2dir: use bash for
    shell scripts (closes: #410084)  
  * fix typo in bug number of older changelog entry
  * install_packages.8: add info for variable MAXPACKAGES
  
 -- Thomas Lange <lange@debian.org>  Wed, 14 Feb 2007 12:11:29 +0100

fai (3.1.6) unstable; urgency=high

  * fix important and grave bugs
  * fai-setup: do not fail (and exit) if $loguserhome is not writeable for
    root (closes: #407947)
  * fai-class: fix syntax error (closes: #408153)
  
 -- Thomas Lange <lange@debian.org>  Tue, 23 Jan 2007 23:49:33 +0100

fai (3.1.5) unstable; urgency=low

  * make-fai-nfsroot: remove copying of *.pub files (closes: #406334)
  * fai-debconf: add template when create tmp file, remove also old
    tmp files (closes: #406336)
  * fai: add missing parameter to --long options (closes: #406125)
  * fai-classs: set hostname from -u as intended (closes: #406125)
  * scripts/FAISERVER/10-conffiles: fix wrong path (closes: #406500)
  * README: update year from 2006 to 2007

 -- Thomas Lange <lange@debian.org>  Fri, 12 Jan 2007 14:57:12 +0100

fai (3.1.4) unstable; urgency=medium

  * these are only document changes and a one liner for setup_harddisks
  * fix default examples. A change in the xorg package dependencies broke
    the default FAI example installation (closes: #405435)
  * remove xlockmore package from example (closes: #405433)
  * setup_harddisks: add support for mountig existing NTFS partitions
    (closes: #404187)

 -- Thomas Lange <lange@debian.org>  Thu,  4 Jan 2007 15:30:42 +0100
