=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.7.2
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
 Build-Depends: debhelper (>= 4.1.16)
-
+XS-Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
 
 Package: fai-client
 Architecture: all
@@ -37,7 +37,7 @@
 Section: admin
 Depends: fai-client, debootstrap
 Recommends: nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
-Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, mkisofs, grub
+Suggests: ssh, debmirror, mknbi, apt-move, mkisofs, grub
 Conflicts: fai
 Replaces: fai
 Description: Fully Automatic Installation server package
@@ -53,7 +53,6 @@
 Architecture: all
 Section: admin
 Depends: fai-server, fai-doc, fai-kernels, dhcp3-server, nfs-kernel-server | nfs-server, syslinux, tftpd-hpa, apt-move, mkisofs
-Recommends: mkinitrd-cd
 Description: Fully Automatic Installation quickstart package
  FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
  systems. This package setups an install server with some basic
